<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="lmitool">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>lmitool</refname>
    <refpurpose> tool for solving linear matrix inequations</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>lmitool()

lmitool(filename)

txt=lmitool(probname,varlist,datalist)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>filename</term>
        <listitem>
          <para>a string referring to a <literal>.sci</literal> function</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>probname</term>
        <listitem>
          <para>a string containing the name of the problem</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>varlist</term>
        <listitem>
          <para>a string containing the names of the unknown matrices (separated by commas if there are more than one)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>datalist</term>
        <listitem>
          <para> a string containing the names of  data matrices (separated by commas if there are more than one)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>txt</term>
        <listitem>
          <para>a string providing information on what the user should do next</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>lmitool()</literal> or <literal>lmitool(filename)</literal> is used to define 
    interactively a LMI problem.
    In the non interactive mode,
    <literal>txt=lmitool(probname,varlist,datalist)</literal>
    generates a file in the current directory. The name of this file 
    is obtained by adding <literal>.sci</literal> to the end of <literal>probname</literal>. 
    This file is the skeleton of a solver function and the corresponding 
    evaluation function needed by <literal>lmisolver</literal>.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="lmisolver">lmisolver</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
